#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.component.paragraph.interfaces import IBaseParagraph
from pyams_i18n.interfaces import II18n

# import packages
from pyams_form.form import AJAXEditForm


class BaseParagraphAJAXEditForm(AJAXEditForm):
    """Base paragraph AJAX edit form"""

    def get_ajax_output(self, changes):
        updated = changes.get(IBaseParagraph, ())
        if ('title' in updated) or ('visible' in updated):
            return {'status': 'success',
                    'event': 'PyAMS_content.changed_item',
                    'event_options': {'object_type': 'paragraph',
                                      'object_name': self.context.__name__,
                                      'title': II18n(self.context).query_attribute('title', request=self.request),
                                      'visible': self.context.visible}}
        if 'title' in changes.get(IBaseParagraph, ()):
            return {'status': 'reload',
                    'location': '#paragraphs.html'}
        else:
            return super(BaseParagraphAJAXEditForm, self).get_ajax_output(changes)
