#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.site.interfaces import ISite
from zope.schema.interfaces import IVocabularyFactory

# import packages
from pyams_utils.container import BTreeOrderedContainer
from zope.componentvocabulary.vocabulary import UtilityVocabulary
from zope.interface import provider, implementer
from zope.schema.vocabulary import getVocabularyRegistry


@implementer(ISite)
class Site(BTreeOrderedContainer):
    """Site persistent class"""


@provider(IVocabularyFactory)
class SiteVocabulary(UtilityVocabulary):
    """Sites vocabulary"""

    interface = ISite
    nameOnly = True

getVocabularyRegistry().register('PyAMS content sites', SiteVocabulary)
